libvisio::VSDTextBlockStyle Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDTextBlockStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDTextBlockStyle ()
| VSDTextBlockStyle (double lm, double rm, double tm, double bm, unsigned char va, bool isBgFilled, Colour bgClr, double defTab, unsigned char td)
| VSDTextBlockStyle (const VSDTextBlockStyle &style)
| ~VSDTextBlockStyle ()
void | override (const VSDOptionalTextBlockStyle &style)

## Public Attributes
double | leftMargin
double | rightMargin
double | topMargin
double | bottomMargin
unsigned char | verticalAlign
bool | isTextBkgndFilled
Colour | textBkgndColour
double | defaultTabStop
unsigned char | textDirection

## Constructor & Destructor Documentation

libvisio::VSDTextBlockStyle::VSDTextBlockStyle | ( |  | ) |
| inline

libvisio::VSDTextBlockStyle::VSDTextBlockStyle | ( | double | lm,
|  | double | rm,
|  | double | tm,
|  | double | bm,
|  | unsigned char | va,
|  | bool | isBgFilled,
|  | Colour | bgClr,
|  | double | defTab,
|  | unsigned char | td
| ) |  |
| inline

libvisio::VSDTextBlockStyle::VSDTextBlockStyle | ( | const VSDTextBlockStyle & | style | ) |
| inline

libvisio::VSDTextBlockStyle::~VSDTextBlockStyle | ( |  | ) |
| inline

## Member Function Documentation

void libvisio::VSDTextBlockStyle::override | ( | const VSDOptionalTextBlockStyle & | style | ) |
| inline

Referenced by libvisio::VSDContentCollector::collectShape(), and libvisio::VSDContentCollector::collectTextBlock().

## Member Data Documentation

double libvisio::VSDTextBlockStyle::bottomMargin

Referenced by libvisio::VSDContentCollector::_flushText().

double libvisio::VSDTextBlockStyle::defaultTabStop

Referenced by libvisio::VSDContentCollector::_flushText().

bool libvisio::VSDTextBlockStyle::isTextBkgndFilled

Referenced by libvisio::VSDContentCollector::_flushText().

double libvisio::VSDTextBlockStyle::leftMargin

Referenced by libvisio::VSDContentCollector::_flushText().

double libvisio::VSDTextBlockStyle::rightMargin

Referenced by libvisio::VSDContentCollector::_flushText().

Colour libvisio::VSDTextBlockStyle::textBkgndColour

Referenced by libvisio::VSDContentCollector::_flushText().

unsigned char libvisio::VSDTextBlockStyle::textDirection

double libvisio::VSDTextBlockStyle::topMargin

Referenced by libvisio::VSDContentCollector::_flushText().

unsigned char libvisio::VSDTextBlockStyle::verticalAlign

Referenced by libvisio::VSDContentCollector::_flushText().

The documentation for this struct was generated from the following file:

- VSDStyles.h